Release

Search the MassiveMusic catalogue for releases matching the search query. Responses are weighted by popularity based on platform usage.

Example request

GET https://api.7digital.com/release/search?q=Test&oauth_consumer_key=YOUR_KEY_HERE&country=GB&pagesize=10&usageTypes=download,subscriptionstreaming,adsupportedstreaming

Example response

 {
  "estimatedTotalItems": 1,
  "page": 1,
  "expectedPageSize": 10,
  "results": [
    {
      "id": 2830094,
      "title": "TEST CONTENT",
      "subtitle": "",
      "upc": "7digtestcontent00",
      "explicitContent": false,
      "trackCount": 3,
      "year": 2013,
      "type": "Single",
      "availableFor": [
        "adSupportedStreaming",
        "download",
        "subscriptionStreaming"
      ],
      "artist": {
        "id": 574207,
        "name": "TEST CONTENT"
      },
      "licensor": {
        "id": 1386,
        "name": "Core Platform Test Group 2"
      },
      "label": {
        "id": 213079,
        "name": "7dig"
      },
      "packages": [
        {
          "id": 2,
          "name": "Standard",
          "price": {
            "currencyCode": "GBP",
            "rrp": "6.49"
          },
          "formats": [
            {
              "id": 17,
              "name": "MP3 320"
            }
          ]
        },
        {
          "id": 9,
          "name": "Premium",
          "price": {
            "currencyCode": "GBP",
            "rrp": "7.99"
          },
          "formats": [
            {
              "id": 45,
              "name": "FLAC 16-bit 44.1kHz"
            }
          ]
        }
      ],
      "popularity": 0.24,
      "score": 12.749599
    }
  ]
}

Results schema

 {
  "$schema": "http://json-schema.org/draft-07/schema#",
  "type": "object",
  "properties": {
    "estimatedTotalItems": { "type": "integer" },
    "page": { "type": "integer" },
    "expectedPageSize": { "type": "integer" },
    "results": {
      "type": "array",
      "items": { "$ref": "#/definitions/release" }
    }
  },
  "required": ["estimatedTotalItems", "page", "expectedPageSize", "results"],
  "definitions": {
    "release": {
      "type": "object",
      "properties": {
        "id": { "type": "integer" },
        "title": { "type": "string" },
        "subtitle": { "type": "string" },
        "upc": { "type": "string" },
        "explicitContent": { "type": "boolean" },
        "trackCount": { "type": "integer" },
        "year": { "type": "integer" },
        "type": { "type": "string" },
        "availableFor": {
          "type": "array",
          "items": { "type": "string" }
        },
        "artist": { "$ref": "#/definitions/artist" },
        "licensor": { "$ref": "#/definitions/licensor" },
        "label": { "$ref": "#/definitions/label" },
        "packages": {
          "type": "array",
          "items": { "$ref": "#/definitions/package" }
        },
        "popularity": { "type": "number" },
        "score": { "type": "number" }
      },
      "required": ["id", "title", "subtitle", "upc", "explicitContent", "trackCount", "year", "type", "availableFor", "artist", "licensor", "label", "popularity", "score"]
    },
    "artist": {
      "type": "object",
      "properties": {
        "id": { "type": "integer" },
        "name": { "type": "string" }
      },
      "required": ["id", "name"]
    },
    "licensor": {
      "type": "object",
      "properties": {
        "id": { "type": "integer" },
        "name": { "type": "string" }
      },
      "required": ["id", "name"]
    },
    "label": {
      "type": "object",
      "properties": {
        "id": { "type": "integer" },
        "name": { "type": "string" }
      },
      "required": ["id", "name"]
    },
    "package": {
      "type": "object",
      "properties": {
        "id": { "type": "integer" },
        "name": { "type": "string" },
        "price": { "$ref": "#/definitions/price" },
        "formats": {
          "type": "array",
          "items": { "$ref": "#/definitions/format" }
        }
      },
      "required": ["id", "name", "price", "formats"]
    },
    "price": {
      "type": "object",
      "properties": {
        "currencyCode": { "type": "string" },
        "rrp": { "type": ["string", "null"] }
      },
      "required": ["currencyCode", "rrp"]
    },
    "format": {
      "type": "object",
      "properties": {
        "id": { "type": "integer" },
        "name": { "type": "string" }
      },
      "required": ["id", "name"]
    }
  }
}
Query Params
string
required

Search query. By passing a query string wrapped in quotation marks (" "), you can instruct the search API to return only results that contain that exact phrase, character-for-character, in the order specified. You can also search by UPC. Must not be supplied if artistId is sent.

string
required

Filter by usageType. Multiple can be supplied as comma separated list. Available options are: download, subscriptionstreaming or adsupportedstreaming.

string
required

ISO 2-character code of the country the end user resides in.

licensorIds
array of int32s

Comma separated list of licensorIds.

licensorIds
packages
array of int32s

Comma separated list of package ids.

packages
boolean

Pass true to exclude explicit content from results. Defaults to false.

int32

Artist id to pull results for. Must not be supplied if q is sent.

int32

Page number of the result set. Defaults to 1.

int32

Number of items to be returned per page. Defaults to 10. Maximum page size is 50.

Language
LoadingLoading…